import{s as fn,n as pn,o as cn}from"../chunks/scheduler.9991993c.js";import{S as gn,i as un,g as a,s as r,r as l,A as hn,h as s,f as n,c as o,j as _,u as d,x as u,k as v,y as t,a as m,v as f,d as p,t as c,w as g}from"../chunks/index.7fc9a5e7.js";import{D as $}from"../chunks/Docstring.8180f571.js";import{H as ue}from"../chunks/Heading.e3de321f.js";function xn(Ht){let O,Ie,Fe,Ee,W,Se,V,Xt="🤗 Transformers提供了一个<code>transformers.onnx</code>包，通过利用配置对象，您可以将模型checkpoints转换为ONNX图。",ze,H,At='有关更多详细信息，请参阅导出 🤗 Transformers 模型的<a href="../serialization">指南</a>。',We,X,Ve,A,jt="我们提供了三个抽象类，取决于您希望导出的模型架构类型：",He,j,Ut='<li>基于编码器的模型继承 <a href="/docs/transformers/v4.39.3/zh/main_classes/onnx#transformers.onnx.OnnxConfig">OnnxConfig</a></li> <li>基于解码器的模型继承 <a href="/docs/transformers/v4.39.3/zh/main_classes/onnx#transformers.onnx.OnnxConfigWithPast">OnnxConfigWithPast</a></li> <li>编码器-解码器模型继承 <a href="/docs/transformers/v4.39.3/zh/main_classes/onnx#transformers.onnx.OnnxSeq2SeqConfigWithPast">OnnxSeq2SeqConfigWithPast</a></li>',Xe,U,Ae,h,G,pt,he,Gt="Base class for ONNX exportable model describing metadata on how to export the model through the ONNX format.",ct,T,R,gt,xe,Rt=`Flatten any potential nested structure expanding the name of the field with the index of the element within the
structure.`,ut,k,B,ht,_e,Bt="Instantiate a OnnxConfig for a specific model",xt,P,J,_t,ve,Jt="Generate inputs to provide to the ONNX exporter for the specific framework",vt,M,K,$t,$e,Kt=`Generate inputs for ONNX Runtime using the reference model inputs. Override this to run inference with seq2seq
models which have the encoder and decoder exported as separate ONNX files.`,bt,q,Q,Ct,be,Qt="Flag indicating if the model requires using external data format",je,Y,Ue,w,Z,yt,D,ee,wt,Ce,Yt="Fill the input_or_outputs mapping with past_key_values dynamic axes considering.",Ot,N,te,Tt,ye,Zt="Instantiate a OnnxConfig with <code>use_past</code> attribute set to True",Ge,ne,Re,re,oe,Be,ae,Je,se,en="每个ONNX配置与一组 <em>特性</em> 相关联，使您能够为不同类型的拓扑结构或任务导出模型。",Ke,ie,Qe,x,me,kt,F,le,Pt,we,tn="Check whether or not the model has the requested features.",Mt,y,de,qt,Oe,nn="Determines the framework to use for the export.",Dt,Te,rn="The priority is in the following order:",Nt,ke,on="<li>User input via <code>framework</code>.</li> <li>If local checkpoint is provided, use the same framework as the checkpoint.</li> <li>Available framework in environment, with priority given to PyTorch</li>",Ft,L,fe,Lt,Pe,an="Gets the OnnxConfig for a model_type and feature combination.",It,I,pe,Et,Me,sn="Attempts to retrieve an AutoModel class from a feature name.",St,E,ce,zt,qe,mn="Attempts to retrieve a model from a model’s name and the feature to be enabled.",Wt,S,ge,Vt,De,ln="Tries to retrieve the feature -> OnnxConfig constructor map from the model type.",Ye,Le,Ze;return W=new ue({props:{title:"导出 🤗 Transformers 模型到 ONNX",local:"导出--transformers-模型到-onnx",headingTag:"h1"}}),X=new ue({props:{title:"ONNX Configurations",local:"onnx-configurations",headingTag:"h2"}}),U=new ue({props:{title:"OnnxConfig",local:"transformers.onnx.OnnxConfig",headingTag:"h3"}}),G=new $({props:{name:"class transformers.onnx.OnnxConfig",anchor:"transformers.onnx.OnnxConfig",parameters:[{name:"config",val:": PretrainedConfig"},{name:"task",val:": str = 'default'"},{name:"patching_specs",val:": List = None"}],source:"https://github.com/huggingface/transformers/blob/v4.39.3/src/transformers/onnx/config.py#L68"}}),R=new $({props:{name:"flatten_output_collection_property",anchor:"transformers.onnx.OnnxConfig.flatten_output_collection_property",parameters:[{name:"name",val:": str"},{name:"field",val:": Iterable"}],source:"https://github.com/huggingface/transformers/blob/v4.39.3/src/transformers/onnx/config.py#L424",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>Outputs with flattened structure and key mapping this new structure.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p>(Dict[str, Any])</p>
`}}),B=new $({props:{name:"from_model_config",anchor:"transformers.onnx.OnnxConfig.from_model_config",parameters:[{name:"config",val:": PretrainedConfig"},{name:"task",val:": str = 'default'"}],source:"https://github.com/huggingface/transformers/blob/v4.39.3/src/transformers/onnx/config.py#L127",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>OnnxConfig for this model</p>
`}}),J=new $({props:{name:"generate_dummy_inputs",anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs",parameters:[{name:"preprocessor",val:": Union"},{name:"batch_size",val:": int = -1"},{name:"seq_length",val:": int = -1"},{name:"num_choices",val:": int = -1"},{name:"is_pair",val:": bool = False"},{name:"framework",val:": Optional = None"},{name:"num_channels",val:": int = 3"},{name:"image_width",val:": int = 40"},{name:"image_height",val:": int = 40"},{name:"sampling_rate",val:": int = 22050"},{name:"time_duration",val:": float = 5.0"},{name:"frequency",val:": int = 220"},{name:"tokenizer",val:": PreTrainedTokenizerBase = None"}],parametersDescription:[{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
The batch size to export the model for (-1 means dynamic axis).`,name:"batch_size"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.num_choices",description:`<strong>num_choices</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
The number of candidate answers provided for multiple choice task (-1 means dynamic axis).`,name:"num_choices"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.seq_length",description:`<strong>seq_length</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
The sequence length to export the model for (-1 means dynamic axis).`,name:"seq_length"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.is_pair",description:`<strong>is_pair</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Indicate if the input is a pair (sentence 1, sentence 2)`,name:"is_pair"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.framework",description:`<strong>framework</strong> (<code>TensorType</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
The framework (PyTorch or TensorFlow) that the tokenizer will generate tensors for.`,name:"framework"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.num_channels",description:`<strong>num_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 3) &#x2014;
The number of channels of the generated images.`,name:"num_channels"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.image_width",description:`<strong>image_width</strong> (<code>int</code>, <em>optional</em>, defaults to 40) &#x2014;
The width of the generated images.`,name:"image_width"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.image_height",description:`<strong>image_height</strong> (<code>int</code>, <em>optional</em>, defaults to 40) &#x2014;
The height of the generated images.`,name:"image_height"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.sampling_rate",description:`<strong>sampling_rate</strong> (<code>int</code>, <em>optional</em> defaults to 22050) &#x2014;
The sampling rate for audio data generation.`,name:"sampling_rate"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.time_duration",description:`<strong>time_duration</strong> (<code>float</code>, <em>optional</em> defaults to 5.0) &#x2014;
Total seconds of sampling for audio data generation.`,name:"time_duration"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.frequency",description:`<strong>frequency</strong> (<code>int</code>, <em>optional</em> defaults to 220) &#x2014;
The desired natural frequency of generated audio.`,name:"frequency"}],source:"https://github.com/huggingface/transformers/blob/v4.39.3/src/transformers/onnx/config.py#L280",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>Mapping[str, Tensor] holding the kwargs to provide to the model’s forward function</p>
`}}),K=new $({props:{name:"generate_dummy_inputs_onnxruntime",anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs_onnxruntime",parameters:[{name:"reference_model_inputs",val:": Mapping"}],parametersDescription:[{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs_onnxruntime.reference_model_inputs",description:`<strong>reference_model_inputs</strong> ([<code>Mapping[str, Tensor]</code>) &#x2014;
Reference inputs for the model.`,name:"reference_model_inputs"}],source:"https://github.com/huggingface/transformers/blob/v4.39.3/src/transformers/onnx/config.py#L400",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The mapping holding the kwargs to provide to the model’s forward function</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>Mapping[str, Tensor]</code></p>
`}}),Q=new $({props:{name:"use_external_data_format",anchor:"transformers.onnx.OnnxConfig.use_external_data_format",parameters:[{name:"num_parameters",val:": int"}],source:"https://github.com/huggingface/transformers/blob/v4.39.3/src/transformers/onnx/config.py#L241",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>True if model.num_parameters() * size_of(float32) >= 2Gb False otherwise</p>
`}}),Y=new ue({props:{title:"OnnxConfigWithPast",local:"transformers.onnx.OnnxConfigWithPast",headingTag:"h3"}}),Z=new $({props:{name:"class transformers.onnx.OnnxConfigWithPast",anchor:"transformers.onnx.OnnxConfigWithPast",parameters:[{name:"config",val:": PretrainedConfig"},{name:"task",val:": str = 'default'"},{name:"patching_specs",val:": List = None"},{name:"use_past",val:": bool = False"}],source:"https://github.com/huggingface/transformers/blob/v4.39.3/src/transformers/onnx/config.py#L443"}}),ee=new $({props:{name:"fill_with_past_key_values_",anchor:"transformers.onnx.OnnxConfigWithPast.fill_with_past_key_values_",parameters:[{name:"inputs_or_outputs",val:": Mapping"},{name:"direction",val:": str"},{name:"inverted_values_shape",val:": bool = False"}],source:"https://github.com/huggingface/transformers/blob/v4.39.3/src/transformers/onnx/config.py#L550"}}),te=new $({props:{name:"with_past",anchor:"transformers.onnx.OnnxConfigWithPast.with_past",parameters:[{name:"config",val:": PretrainedConfig"},{name:"task",val:": str = 'default'"}],source:"https://github.com/huggingface/transformers/blob/v4.39.3/src/transformers/onnx/config.py#L454",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>OnnxConfig with <code>.use_past = True</code></p>
`}}),ne=new ue({props:{title:"OnnxSeq2SeqConfigWithPast",local:"transformers.onnx.OnnxSeq2SeqConfigWithPast",headingTag:"h3"}}),oe=new $({props:{name:"class transformers.onnx.OnnxSeq2SeqConfigWithPast",anchor:"transformers.onnx.OnnxSeq2SeqConfigWithPast",parameters:[{name:"config",val:": PretrainedConfig"},{name:"task",val:": str = 'default'"},{name:"patching_specs",val:": List = None"},{name:"use_past",val:": bool = False"}],source:"https://github.com/huggingface/transformers/blob/v4.39.3/src/transformers/onnx/config.py#L590"}}),ae=new ue({props:{title:"ONNX Features",local:"onnx-features",headingTag:"h2"}}),ie=new ue({props:{title:"FeaturesManager",local:"transformers.onnx.FeaturesManager",headingTag:"h3"}}),me=new $({props:{name:"class transformers.onnx.FeaturesManager",anchor:"transformers.onnx.FeaturesManager",parameters:[],source:"https://github.com/huggingface/transformers/blob/v4.39.3/src/transformers/onnx/features.py#L85"}}),le=new $({props:{name:"check_supported_model_or_raise",anchor:"transformers.onnx.FeaturesManager.check_supported_model_or_raise",parameters:[{name:"model",val:": Union"},{name:"feature",val:": str = 'default'"}],source:"https://github.com/huggingface/transformers/blob/v4.39.3/src/transformers/onnx/features.py#L711",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>(str) The type of the model (OnnxConfig) The OnnxConfig instance holding the model export properties.</p>
`}}),de=new $({props:{name:"determine_framework",anchor:"transformers.onnx.FeaturesManager.determine_framework",parameters:[{name:"model",val:": str"},{name:"framework",val:": str = None"}],parametersDescription:[{anchor:"transformers.onnx.FeaturesManager.determine_framework.model",description:`<strong>model</strong> (<code>str</code>) &#x2014;
The name of the model to export.`,name:"model"},{anchor:"transformers.onnx.FeaturesManager.determine_framework.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
The framework to use for the export. See above for priority if none provided.`,name:"framework"}],source:"https://github.com/huggingface/transformers/blob/v4.39.3/src/transformers/onnx/features.py#L628",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The framework to use for the export.</p>
`}}),fe=new $({props:{name:"get_config",anchor:"transformers.onnx.FeaturesManager.get_config",parameters:[{name:"model_type",val:": str"},{name:"feature",val:": str"}],parametersDescription:[{anchor:"transformers.onnx.FeaturesManager.get_config.model_type",description:`<strong>model_type</strong> (<code>str</code>) &#x2014;
The model type to retrieve the config for.`,name:"model_type"},{anchor:"transformers.onnx.FeaturesManager.get_config.feature",description:`<strong>feature</strong> (<code>str</code>) &#x2014;
The feature to retrieve the config for.`,name:"feature"}],source:"https://github.com/huggingface/transformers/blob/v4.39.3/src/transformers/onnx/features.py#L736",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>config for the combination</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>OnnxConfig</code></p>
`}}),pe=new $({props:{name:"get_model_class_for_feature",anchor:"transformers.onnx.FeaturesManager.get_model_class_for_feature",parameters:[{name:"feature",val:": str"},{name:"framework",val:": str = 'pt'"}],parametersDescription:[{anchor:"transformers.onnx.FeaturesManager.get_model_class_for_feature.feature",description:`<strong>feature</strong> (<code>str</code>) &#x2014;
The feature required.`,name:"feature"},{anchor:"transformers.onnx.FeaturesManager.get_model_class_for_feature.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;pt&quot;</code>) &#x2014;
The framework to use for the export.`,name:"framework"}],source:"https://github.com/huggingface/transformers/blob/v4.39.3/src/transformers/onnx/features.py#L601",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The AutoModel class corresponding to the feature.</p>
`}}),ce=new $({props:{name:"get_model_from_feature",anchor:"transformers.onnx.FeaturesManager.get_model_from_feature",parameters:[{name:"feature",val:": str"},{name:"model",val:": str"},{name:"framework",val:": str = None"},{name:"cache_dir",val:": str = None"}],parametersDescription:[{anchor:"transformers.onnx.FeaturesManager.get_model_from_feature.feature",description:`<strong>feature</strong> (<code>str</code>) &#x2014;
The feature required.`,name:"feature"},{anchor:"transformers.onnx.FeaturesManager.get_model_from_feature.model",description:`<strong>model</strong> (<code>str</code>) &#x2014;
The name of the model to export.`,name:"model"},{anchor:"transformers.onnx.FeaturesManager.get_model_from_feature.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
The framework to use for the export. See <code>FeaturesManager.determine_framework</code> for the priority should
none be provided.`,name:"framework"}],source:"https://github.com/huggingface/transformers/blob/v4.39.3/src/transformers/onnx/features.py#L678",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The instance of the model.</p>
`}}),ge=new $({props:{name:"get_supported_features_for_model_type",anchor:"transformers.onnx.FeaturesManager.get_supported_features_for_model_type",parameters:[{name:"model_type",val:": str"},{name:"model_name",val:": Optional = None"}],parametersDescription:[{anchor:"transformers.onnx.FeaturesManager.get_supported_features_for_model_type.model_type",description:`<strong>model_type</strong> (<code>str</code>) &#x2014;
The model type to retrieve the supported features for.`,name:"model_type"},{anchor:"transformers.onnx.FeaturesManager.get_supported_features_for_model_type.model_name",description:`<strong>model_name</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The name attribute of the model object, only used for the exception message.`,name:"model_name"}],source:"https://github.com/huggingface/transformers/blob/v4.39.3/src/transformers/onnx/features.py#L556",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The dictionary mapping each feature to a corresponding OnnxConfig constructor.</p>
`}}),{c(){O=a("meta"),Ie=r(),Fe=a("p"),Ee=r(),l(W.$$.fragment),Se=r(),V=a("p"),V.innerHTML=Xt,ze=r(),H=a("p"),H.innerHTML=At,We=r(),l(X.$$.fragment),Ve=r(),A=a("p"),A.textContent=jt,He=r(),j=a("ul"),j.innerHTML=Ut,Xe=r(),l(U.$$.fragment),Ae=r(),h=a("div"),l(G.$$.fragment),pt=r(),he=a("p"),he.textContent=Gt,ct=r(),T=a("div"),l(R.$$.fragment),gt=r(),xe=a("p"),xe.textContent=Rt,ut=r(),k=a("div"),l(B.$$.fragment),ht=r(),_e=a("p"),_e.textContent=Bt,xt=r(),P=a("div"),l(J.$$.fragment),_t=r(),ve=a("p"),ve.textContent=Jt,vt=r(),M=a("div"),l(K.$$.fragment),$t=r(),$e=a("p"),$e.textContent=Kt,bt=r(),q=a("div"),l(Q.$$.fragment),Ct=r(),be=a("p"),be.textContent=Qt,je=r(),l(Y.$$.fragment),Ue=r(),w=a("div"),l(Z.$$.fragment),yt=r(),D=a("div"),l(ee.$$.fragment),wt=r(),Ce=a("p"),Ce.textContent=Yt,Ot=r(),N=a("div"),l(te.$$.fragment),Tt=r(),ye=a("p"),ye.innerHTML=Zt,Ge=r(),l(ne.$$.fragment),Re=r(),re=a("div"),l(oe.$$.fragment),Be=r(),l(ae.$$.fragment),Je=r(),se=a("p"),se.innerHTML=en,Ke=r(),l(ie.$$.fragment),Qe=r(),x=a("div"),l(me.$$.fragment),kt=r(),F=a("div"),l(le.$$.fragment),Pt=r(),we=a("p"),we.textContent=tn,Mt=r(),y=a("div"),l(de.$$.fragment),qt=r(),Oe=a("p"),Oe.textContent=nn,Dt=r(),Te=a("p"),Te.textContent=rn,Nt=r(),ke=a("ol"),ke.innerHTML=on,Ft=r(),L=a("div"),l(fe.$$.fragment),Lt=r(),Pe=a("p"),Pe.textContent=an,It=r(),I=a("div"),l(pe.$$.fragment),Et=r(),Me=a("p"),Me.textContent=sn,St=r(),E=a("div"),l(ce.$$.fragment),zt=r(),qe=a("p"),qe.textContent=mn,Wt=r(),S=a("div"),l(ge.$$.fragment),Vt=r(),De=a("p"),De.textContent=ln,Ye=r(),Le=a("p"),this.h()},l(e){const i=hn("svelte-u9bgzb",document.head);O=s(i,"META",{name:!0,content:!0}),i.forEach(n),Ie=o(e),Fe=s(e,"P",{}),_(Fe).forEach(n),Ee=o(e),d(W.$$.fragment,e),Se=o(e),V=s(e,"P",{"data-svelte-h":!0}),u(V)!=="svelte-pfau1i"&&(V.innerHTML=Xt),ze=o(e),H=s(e,"P",{"data-svelte-h":!0}),u(H)!=="svelte-4zmuwp"&&(H.innerHTML=At),We=o(e),d(X.$$.fragment,e),Ve=o(e),A=s(e,"P",{"data-svelte-h":!0}),u(A)!=="svelte-k36o3g"&&(A.textContent=jt),He=o(e),j=s(e,"UL",{"data-svelte-h":!0}),u(j)!=="svelte-idw7bo"&&(j.innerHTML=Ut),Xe=o(e),d(U.$$.fragment,e),Ae=o(e),h=s(e,"DIV",{class:!0});var b=_(h);d(G.$$.fragment,b),pt=o(b),he=s(b,"P",{"data-svelte-h":!0}),u(he)!=="svelte-1gqzpaz"&&(he.textContent=Gt),ct=o(b),T=s(b,"DIV",{class:!0});var et=_(T);d(R.$$.fragment,et),gt=o(et),xe=s(et,"P",{"data-svelte-h":!0}),u(xe)!=="svelte-1lfqihc"&&(xe.textContent=Rt),et.forEach(n),ut=o(b),k=s(b,"DIV",{class:!0});var tt=_(k);d(B.$$.fragment,tt),ht=o(tt),_e=s(tt,"P",{"data-svelte-h":!0}),u(_e)!=="svelte-1u54gj1"&&(_e.textContent=Bt),tt.forEach(n),xt=o(b),P=s(b,"DIV",{class:!0});var nt=_(P);d(J.$$.fragment,nt),_t=o(nt),ve=s(nt,"P",{"data-svelte-h":!0}),u(ve)!=="svelte-1oyyynq"&&(ve.textContent=Jt),nt.forEach(n),vt=o(b),M=s(b,"DIV",{class:!0});var rt=_(M);d(K.$$.fragment,rt),$t=o(rt),$e=s(rt,"P",{"data-svelte-h":!0}),u($e)!=="svelte-tenqiw"&&($e.textContent=Kt),rt.forEach(n),bt=o(b),q=s(b,"DIV",{class:!0});var ot=_(q);d(Q.$$.fragment,ot),Ct=o(ot),be=s(ot,"P",{"data-svelte-h":!0}),u(be)!=="svelte-coevd"&&(be.textContent=Qt),ot.forEach(n),b.forEach(n),je=o(e),d(Y.$$.fragment,e),Ue=o(e),w=s(e,"DIV",{class:!0});var Ne=_(w);d(Z.$$.fragment,Ne),yt=o(Ne),D=s(Ne,"DIV",{class:!0});var at=_(D);d(ee.$$.fragment,at),wt=o(at),Ce=s(at,"P",{"data-svelte-h":!0}),u(Ce)!=="svelte-1bh80il"&&(Ce.textContent=Yt),at.forEach(n),Ot=o(Ne),N=s(Ne,"DIV",{class:!0});var st=_(N);d(te.$$.fragment,st),Tt=o(st),ye=s(st,"P",{"data-svelte-h":!0}),u(ye)!=="svelte-1kg2yu2"&&(ye.innerHTML=Zt),st.forEach(n),Ne.forEach(n),Ge=o(e),d(ne.$$.fragment,e),Re=o(e),re=s(e,"DIV",{class:!0});var dn=_(re);d(oe.$$.fragment,dn),dn.forEach(n),Be=o(e),d(ae.$$.fragment,e),Je=o(e),se=s(e,"P",{"data-svelte-h":!0}),u(se)!=="svelte-1vrkova"&&(se.innerHTML=en),Ke=o(e),d(ie.$$.fragment,e),Qe=o(e),x=s(e,"DIV",{class:!0});var C=_(x);d(me.$$.fragment,C),kt=o(C),F=s(C,"DIV",{class:!0});var it=_(F);d(le.$$.fragment,it),Pt=o(it),we=s(it,"P",{"data-svelte-h":!0}),u(we)!=="svelte-rlyyl3"&&(we.textContent=tn),it.forEach(n),Mt=o(C),y=s(C,"DIV",{class:!0});var z=_(y);d(de.$$.fragment,z),qt=o(z),Oe=s(z,"P",{"data-svelte-h":!0}),u(Oe)!=="svelte-rshgf5"&&(Oe.textContent=nn),Dt=o(z),Te=s(z,"P",{"data-svelte-h":!0}),u(Te)!=="svelte-1wbth9c"&&(Te.textContent=rn),Nt=o(z),ke=s(z,"OL",{"data-svelte-h":!0}),u(ke)!=="svelte-qby6wj"&&(ke.innerHTML=on),z.forEach(n),Ft=o(C),L=s(C,"DIV",{class:!0});var mt=_(L);d(fe.$$.fragment,mt),Lt=o(mt),Pe=s(mt,"P",{"data-svelte-h":!0}),u(Pe)!=="svelte-il0adz"&&(Pe.textContent=an),mt.forEach(n),It=o(C),I=s(C,"DIV",{class:!0});var lt=_(I);d(pe.$$.fragment,lt),Et=o(lt),Me=s(lt,"P",{"data-svelte-h":!0}),u(Me)!=="svelte-k5ftuy"&&(Me.textContent=sn),lt.forEach(n),St=o(C),E=s(C,"DIV",{class:!0});var dt=_(E);d(ce.$$.fragment,dt),zt=o(dt),qe=s(dt,"P",{"data-svelte-h":!0}),u(qe)!=="svelte-auvjm5"&&(qe.textContent=mn),dt.forEach(n),Wt=o(C),S=s(C,"DIV",{class:!0});var ft=_(S);d(ge.$$.fragment,ft),Vt=o(ft),De=s(ft,"P",{"data-svelte-h":!0}),u(De)!=="svelte-tbalh5"&&(De.textContent=ln),ft.forEach(n),C.forEach(n),Ye=o(e),Le=s(e,"P",{}),_(Le).forEach(n),this.h()},h(){v(O,"name","hf:doc:metadata"),v(O,"content",_n),v(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(k,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(h,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(w,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(re,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(S,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,i){t(document.head,O),m(e,Ie,i),m(e,Fe,i),m(e,Ee,i),f(W,e,i),m(e,Se,i),m(e,V,i),m(e,ze,i),m(e,H,i),m(e,We,i),f(X,e,i),m(e,Ve,i),m(e,A,i),m(e,He,i),m(e,j,i),m(e,Xe,i),f(U,e,i),m(e,Ae,i),m(e,h,i),f(G,h,null),t(h,pt),t(h,he),t(h,ct),t(h,T),f(R,T,null),t(T,gt),t(T,xe),t(h,ut),t(h,k),f(B,k,null),t(k,ht),t(k,_e),t(h,xt),t(h,P),f(J,P,null),t(P,_t),t(P,ve),t(h,vt),t(h,M),f(K,M,null),t(M,$t),t(M,$e),t(h,bt),t(h,q),f(Q,q,null),t(q,Ct),t(q,be),m(e,je,i),f(Y,e,i),m(e,Ue,i),m(e,w,i),f(Z,w,null),t(w,yt),t(w,D),f(ee,D,null),t(D,wt),t(D,Ce),t(w,Ot),t(w,N),f(te,N,null),t(N,Tt),t(N,ye),m(e,Ge,i),f(ne,e,i),m(e,Re,i),m(e,re,i),f(oe,re,null),m(e,Be,i),f(ae,e,i),m(e,Je,i),m(e,se,i),m(e,Ke,i),f(ie,e,i),m(e,Qe,i),m(e,x,i),f(me,x,null),t(x,kt),t(x,F),f(le,F,null),t(F,Pt),t(F,we),t(x,Mt),t(x,y),f(de,y,null),t(y,qt),t(y,Oe),t(y,Dt),t(y,Te),t(y,Nt),t(y,ke),t(x,Ft),t(x,L),f(fe,L,null),t(L,Lt),t(L,Pe),t(x,It),t(x,I),f(pe,I,null),t(I,Et),t(I,Me),t(x,St),t(x,E),f(ce,E,null),t(E,zt),t(E,qe),t(x,Wt),t(x,S),f(ge,S,null),t(S,Vt),t(S,De),m(e,Ye,i),m(e,Le,i),Ze=!0},p:pn,i(e){Ze||(p(W.$$.fragment,e),p(X.$$.fragment,e),p(U.$$.fragment,e),p(G.$$.fragment,e),p(R.$$.fragment,e),p(B.$$.fragment,e),p(J.$$.fragment,e),p(K.$$.fragment,e),p(Q.$$.fragment,e),p(Y.$$.fragment,e),p(Z.$$.fragment,e),p(ee.$$.fragment,e),p(te.$$.fragment,e),p(ne.$$.fragment,e),p(oe.$$.fragment,e),p(ae.$$.fragment,e),p(ie.$$.fragment,e),p(me.$$.fragment,e),p(le.$$.fragment,e),p(de.$$.fragment,e),p(fe.$$.fragment,e),p(pe.$$.fragment,e),p(ce.$$.fragment,e),p(ge.$$.fragment,e),Ze=!0)},o(e){c(W.$$.fragment,e),c(X.$$.fragment,e),c(U.$$.fragment,e),c(G.$$.fragment,e),c(R.$$.fragment,e),c(B.$$.fragment,e),c(J.$$.fragment,e),c(K.$$.fragment,e),c(Q.$$.fragment,e),c(Y.$$.fragment,e),c(Z.$$.fragment,e),c(ee.$$.fragment,e),c(te.$$.fragment,e),c(ne.$$.fragment,e),c(oe.$$.fragment,e),c(ae.$$.fragment,e),c(ie.$$.fragment,e),c(me.$$.fragment,e),c(le.$$.fragment,e),c(de.$$.fragment,e),c(fe.$$.fragment,e),c(pe.$$.fragment,e),c(ce.$$.fragment,e),c(ge.$$.fragment,e),Ze=!1},d(e){e&&(n(Ie),n(Fe),n(Ee),n(Se),n(V),n(ze),n(H),n(We),n(Ve),n(A),n(He),n(j),n(Xe),n(Ae),n(h),n(je),n(Ue),n(w),n(Ge),n(Re),n(re),n(Be),n(Je),n(se),n(Ke),n(Qe),n(x),n(Ye),n(Le)),n(O),g(W,e),g(X,e),g(U,e),g(G),g(R),g(B),g(J),g(K),g(Q),g(Y,e),g(Z),g(ee),g(te),g(ne,e),g(oe),g(ae,e),g(ie,e),g(me),g(le),g(de),g(fe),g(pe),g(ce),g(ge)}}}const _n='{"title":"导出 🤗 Transformers 模型到 ONNX","local":"导出--transformers-模型到-onnx","sections":[{"title":"ONNX Configurations","local":"onnx-configurations","sections":[{"title":"OnnxConfig","local":"transformers.onnx.OnnxConfig","sections":[],"depth":3},{"title":"OnnxConfigWithPast","local":"transformers.onnx.OnnxConfigWithPast","sections":[],"depth":3},{"title":"OnnxSeq2SeqConfigWithPast","local":"transformers.onnx.OnnxSeq2SeqConfigWithPast","sections":[],"depth":3}],"depth":2},{"title":"ONNX Features","local":"onnx-features","sections":[{"title":"FeaturesManager","local":"transformers.onnx.FeaturesManager","sections":[],"depth":3}],"depth":2}],"depth":1}';function vn(Ht){return cn(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class wn extends gn{constructor(O){super(),un(this,O,vn,xn,fn,{})}}export{wn as component};
